# Outline view

The Outline view displays an outline of a structured C/C++ file that is currently open in the editor area, by listing the structural elements.

## Outline view toolbar icons

The table below lists the icons displayed in the Outline view toolbar.

Icon | Description
--- | ---
| Hide Fields
| Hide Static Members
| Hide Non-Public Members
| Sort items alphabetically

## Outline view icons

The table below lists the icons displayed in the Outline view.

Icon | Description
--- | ---
| Class
| Namespace
| Macro Definition
| Enum
| Enumerator
| Variable
| Field private
| Field protected
| Field public
| Include
| Method private
| Method protected
| Method public
| Struct
| Type definition
| Union
| Function

Outline view

Displaying C/C++ file components in the C/C++ Projects view

Views